GFMDHOST(1)

NAME
gfmdhost - Gfarm metadata server host maintenance command

SYNOPSIS

gfmdhost [-l] [-P path] [-1]

gfmdhost [-N] [-P path] [-1]

gfmdhost {-c | -m} [-P path] [-1] [-p port-number] [-C cluster-name] [-t {m | c | s}] {metadata-server-name}

gfmdhost {-d} [-P path] [-1] {metadata-server-name}

DESCRIPTION

gfmdhost is used to display and maintain the information about synchronous and asynchronous replicated metadata servers. gfmdhost has functions which can be selected by -l, -c, -m and -d options. These functions are mutually exclusive, and only one option among them can be specified. If none of them is specified, registered metadata server (gfmd host) names will be listed.

FUNCTIONS

The functions of gfmdhost command are listed in following.

<none>
    If no function is specified, all the registered gfmd hosts are displayed in alphabetical order.

-l
    All registered gfmd hosts are listed with detailed information. They are grouped by the clusters and ordered alphabetically.

    The detailed information is displayed in the following order.

    Connection State (+|||-|?|x|e|u)

    "+" means that the gfmd is connected to the master gfmd, and its metadata are synchronized. "|" means that the gfmd is connected to the master gfmd, but its metadata have not been synchronized yet. Note that this may happen even on a synchronous slave gfmd, when the slave is just connecting to the master, or in the middle of metadata transfer even if it has been already synchronized. "-" means that the gfmd is not connected to the master gfmd. "?" means either the gfmd state is unknown because it's just after the connection was established, or the master gfmd is Gfarm-2.5.0, but this gfmdhost command is 2.5.1 or later. "x" means that the connection with master gfmd was established, but automatic synchronization was impossible because of too many metadata changes, thus, manual synchronization via dump and restore of the backend database is necessary. "e" means an error happened, and log file must be checked manually. In the case of "x" or "e", it may be displayed even when the slave gfmd is down. "u" means that the slave gfmd is connected to the master gfmd, but the state is not supported by this gfmdhost command. This column for the master gfmd is always "+".

    Server Type (master|slave)

    This represents whether the gfmd is master or slave.

    Replication Type (sync|async|-)

    "sync" means a synchronous replication. "async" means an asynchronous replication. This column for the master is always "-".

    Configration of Master Candidate (c|m|s)

    "m" means the default master gfmd, "c" means a master candidate that can be selected as a master gfmd, and "s" means a gfmd that is not a master candidate and only works for a slave gfmd.

    Cluster Name

    A cluster name where the gfmd belongs to. "(default)" is displayed for the default cluster.

-N
    Displays a hostname and port number of the connected metadata server.

-c
    Registers the gfmd host that is specified in the argument. -C, -p, -t can be optionally specified.

-m
    Modifies the gfmd host that is specified in the argument. -C, -p, -t can be optionally specified.

-d
    Deletes the gfmd host that is specified in the argument. The master gfmd cannot be deleted.

-?
    Prints usage.

OPTIONS

-C cluster-name
    This option specifies a cluster name where the gfmd host belongs to. If it is not specified, the default cluster is assumed. This option is only available with -c or -m option.

    The cluster name means a group of synchronous replicated metadata servers. That is, slave metadata servers in the same cluster with the master metadata server are synchronously replicated servers that can be changed to a master metadata server without any loss of metadata operations. Other metadata servers are asynchronously replicated servers.

-p port-number
    This option specifies a port number of the gfmd. If it is not specified, 601 is assumed. This option is only available with -c or -m option.

-t {m|c|s}
    This option specifies a configuration of master candidate. It is only available with -c or -m option. "m" means the default master, "c" means a master candidate and and "s" means a slave only gfmd. If it is not specified, "c" is assumed. The gfmd configured as the default master cannot be changed to a master candidate or slave-only directly. If the gfmd that is not the default master is changed to the default master by "-t m", the original default master is changed to a master candidate at the same time.

-P path
    This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

-1
    With this option, gfmdhost only tries to connect with one metadata server specified by -P option, or if missing, metadb_server_host statement in gfarm2.conf file.

SEE ALSO

gfarm2.conf(5)